#<profile4xi profile = "12" />
# -------------------------------------------------------------------------------------------------
#<program4xi program = "constant_process4xi.py">
#<abstract4xi abstract = "Provides the class ConstantProcess4Xi."/>
#<refer4xi reference = "process.py"/> 
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting; [Rel 7.21]"/>
# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = [ 'constant_process4xi', 'ConstantProcess4Xi', 'init_all_process4xi', 'get_all_process4xi', 'set_all_process4xi',
             'init_run_process4xi', 'get_run_process4xi', 'set_run_process4xi',
             'init_close_process4xi', 'get_close_process4xi', 'set_close_process4xi',
             'init_terminate_process4xi', 'get_terminate_process4xi', 'set_terminate_process4xi',
             'init_started_process4xi', 'get_started_process4xi', 'set_started_process4xi',
             'init_unknown_process4xi', 'get_unknown_process4xi', 'set_unknown_process4xi',
             'init_initial_process4xi', 'get_initial_process4xi', 'set_initial_process4xi',
             'init_stopped_process4xi', 'get_stopped_process4xi', 'set_stopped_process4xi',
             'init_exitcode_to_name4xi', 'get_exitcode_to_name4xi', 'set_exitcode_to_name4xi']
#"
#/>

# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
try:                 # system ones
    import os
    import sys
    import signal
except:
    pass
try:                 # threading ones       
    import threading                
    import _thread   
except:
    pass
try:
    import _winapi
except:
    pass    
try:                 # most-common ones
    import errno
    import itertools
    import socket
    import tempfile
    import time         
except:
    pass
try:                 # rare ones
    import socket        
except:
    pass 
#"
#/>

# -------------------------------------------------------------------------------------------------
# Multiprocessing Imports                          
# -------------------------------------------------------------------------------------------------
#<process4xi process = "
try:                             # Binary ones
    import _multiprocessing
except:
    pass
try:                             # Python ones
    from multiprocessing.process import Process
except:
    pass
#"
#/>
     
# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "
from ace_object4xi import ace_object4xi
from print4xi import print4xi
from reason_object4xi import reason_object4xi
from sense_object4xi import sense_object4xi
from time4xi import time4xi
#"
#/>

# -------------------------------------------------------------------------------------------------
# Global constants                            
# ------------------------------------------------------------------------------------------------
#<globalize4xi globalization = "
global RUN_PROCESS4XI
global CLOSE_PROCESS4XI
global TERMINATE_PROCESS4XI   
global STARTED_PROCESS4XI
global UNKNOWN_PROCESS4XI
global INITIAL_PROCESS4XI
global STOPPED_PROCESS4XI
global _exitcode_to_name
#"
#/>

# -------------------------------------------------------------------------------------------------
# Settings
# -------------------------------------------------------------------------------------------------
#<set4xi setting = "
RUN_PROCESS4XI = 0
CLOSE_PROCESS4XI = 1
TERMINATE_PROCESS4XI = 2
STARTED_PROCESS4XI = 'started'
UNKNOWN_PROCESS4XI = 'unknown'
INITIAL_PROCESS4XI = 'initial'
STOPPED_PROCESS4XI = 'stopped'
_exitcode_to_name = None
#"
#"/>
                           


# -------------------------------------------------------------------------------------------------
#<function4xi function = "constant-process4xi" usage = "
# defines constants for process
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------
def constant_process4xi(constant_process4xi_param):
    '''
    constant_process4xi defines constants for process

    '''
    global RUN_PROCESS4XI
    global CLOSE_PROCESS4XI
    global TERMINATE_PROCESS4XI
    
    global STARTED_PROCESS4XI
    global UNKNOWN_PROCESS4XI
    global INITIAL_PROCESS4XI
    global STOPPED_PROCESS4XI   

    global _exitcode_to_name
    
    class2print = 'constant_process4xi'
    method2print = 'constant_process4xi'
            
    message2print = "{started" + "; constant-process4xi-started: " + str(constant_process4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    
    message2print = "{passed" + "; constant-process4xi-param-passed-to-constant-process4xi: " + str(constant_process4xi_param) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
        
    if constant_process4xi_param == 0:
        
    
        message2print = "{returning" + "; run-process4xi-returning-by-constant-process4xi: " + str(RUN_PROCESS4XI) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)   
   
     
        return RUN_PROCESS4XI
    
    if constant_process4xi_param == 1:
    
        message2print = "{returning" + "; close-process4xi-returning-by-constant-process4xi: " + str(CLOSE_PROCESS4XI) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)   
          

        return CLOSE_PROCESS4XI

    if constant_process4xi_param == 2:
      
    
        message2print = "{returning" + "; terminate-process4xi-returning-by-constant-process4xi: " + str(TERMINATE_PROCESS4XI) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)   
   
        return TERMINATE_PROCESS4XI

    if constant_process4xi_param == 3:
      
    
        message2print = "{returning" + "; startedprocess4xi-returning-by-constant-process4xi: " + str(STARTED_PROCESS4XI) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)   
   
        return STARTED_PROCESS4XI
    
    if constant_process4xi_param == 4:
         
    
        message2print = "{returning" + "; unknown-process4xi-returning-by-constant-process4xi: " + str(UNKNOWN_PROCESS4XI) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)   
   
        return UNKNOWN_PROCESS4XI
                                   
    if constant_process4xi_param == 5:
    
        message2print = "{returning" + "; initial-process4xi-returning-by-constant-process4xi: " + str(INITIAL_PROCESS4XI) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)   
         

        return INITIAL_PROCESS4XI
    
    if constant_process4xi_param == 6:
       
    
        message2print = "{returning" + "; stopped-process4xi-returning-by-constant-process4xi: " + str(STOPPED_PROCESS4XI) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)   
   
        return STOPPED_PROCESS4XI
       
    if constant_process4xi_param == 7:
     
    
        message2print = "{returning" + "; exitcode-to-name-returning-by-constant-process4xi: " + str(_exitcode_to_name) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)   
   
        return _exitcode_to_name
    

    
    message2print = "{returning" + "; false-returning-by-constant-process4xi: " + str(False) + "; time: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)   
           
                
    return False        
#</function4xi> 

 
#1#
# -------------------------------------------------------------------------------------------------
#<function4xi function = "init-run-process4xi" usage = "
# initializes RUN_PROCESS4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def init_run_process4xi(init_run_process4xi_param=0):          
    '''
    init_run_process4xi initializes RUN_PROCESS4XI
    '''
    global RUN_PROCESS4XI

    class2print = 'init_run_process4xi'
    method2print = 'init_run_process4xi'
            
    message2print = "{started" + "; init-run-process4xi-started: " + str(init_run_process4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
  
    message2print = "{passed" + "; init-run-process4xi-param-passed-to-init-run-process4xi: " + str(init_run_process4xi_param) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
        

    RUN_PROCESS4XI = init_run_process4xi_param
    
    message2print = "{initialized" + "; run-process4xi-initialized-by-init-run-process4xi to: " + str(RUN_PROCESS4XI)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)         
              
        
                
    message2print = "{returning" + "; init-run-process4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
        
#</function4xi> 

                
# -------------------------------------------------------------------------------------------------
#<function4xi function = "set-run-process4xi" usage = "
# sets RUN_PROCESS4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def set_run_process4xi(set_run_process4xi_param=0):          
    '''
    set_run_process4xi sets RUN_PROCESS4XI
    '''
    global RUN_PROCESS4XI


    class2print = 'set_run_process4xi'
    method2print = 'set_run_process4xi'
            
    message2print = "{started" + "; set-run-process4xi-started: " + str(set_run_process4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
      
  
    message2print = "{passed" + "; set-run-process4xi-param-passed-to-set-run-process4xi: " + str(set_run_process4xi_param) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
   
 
    RUN_PROCESS4XI = set_run_process4xi_param
 
    message2print = "{set" + "; run-process4xi-set-by-set-run-process4xi to: " + str(RUN_PROCESS4XI)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)          
           
    message2print = "{returning" + "; set-run-process4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
         

#</function4xi> 

          
# -------------------------------------------------------------------------------------------------
#<function4xi function = "get-run-process4xi" usage = "
# gets RUN_PROCESS4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def get_run_process4xi():          
    '''
    get_run_process4xi gets RUN_PROCESS4XI
    '''
    global RUN_PROCESS4XI


    class2print = 'get_run_process4xi'
    method2print = 'get_run_process4xi'
            
    message2print = "{started" + "; get-run-process4xi-started: " + str(get_run_process4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
      
    RUN_PROCESS4XI =0    
    
    message2print = "{returning" + "; run-process4xi-returning-by-get-run-process4xi: " + str(RUN_PROCESS4XI) + "; time: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)   
        
        
    return RUN_PROCESS4XI        
#</function4xi> 

 
#2#
# -------------------------------------------------------------------------------------------------
#<function4xi function = "init-close-process4xi" usage = "
# initializes CLOSE_PROCESS4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def init_close_process4xi(init_close_process4xi_param=1):          
    '''
    init_close_process4xi initializes CLOSE_PROCESS4XI
    '''
    global CLOSE_PROCESS4XI

    class2print = 'init_close_process4xi'
    method2print = 'init_close_process4xi'
            
    message2print = "{started" + "; init-close-process4xi-started: " + str(init_close_process4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
  
    message2print = "{passed" + "; init-close-process4xi-param-passed-to-init-close-process4xi: " + str(init_close_process4xi_param) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
         

    CLOSE_PROCESS4XI = init_close_process4xi_param

    
    message2print = "{initialized" + "; close-process4xi-initialized-by-init-close-process4xi to: " + str(CLOSE_PROCESS4XI)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)         
          
    message2print = "{returning" + "; init-close-process4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
       

#</function4xi> 

       

   
# -------------------------------------------------------------------------------------------------
#<function4xi function = "set-close-process4xi" usage = "
# sets CLOSE_PROCESS4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def set_close_process4xi(set_close_process4xi_param=1):          
    '''
    set_close_process4xi sets CLOSE_PROCESS4XI
    '''
    global CLOSE_PROCESS4XI


    class2print = 'set_close_process4xi'
    method2print = 'set_close_process4xi'
            
    message2print = "{started" + "; set-close-process4xi-started: " + str(set_close_process4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
      
  
    message2print = "{passed" + "; set-close-process4xi-param-passed-to-set-close-process4xi: " + str(set_close_process4xi_param) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
   
    CLOSE_PROCESS4XI = set_close_process4xi_param
 
    message2print = "{set" + "; close-process4xi-set-by-set-close-process4xi to: " + str(CLOSE_PROCESS4XI)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)          
           
    message2print = "{returning" + "; set-close-process4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
             

#</function4xi> 

 
             
# -------------------------------------------------------------------------------------------------
#<function4xi function = "get-close-process4xi" usage = "
# gets CLOSE_PROCESS4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def get_close_process4xi():          
    '''
    get_close_process4xi gets CLOSE_PROCESS4XI
    '''
    global CLOSE_PROCESS4XI


    class2print = 'get_close_process4xi'
    method2print = 'get_close_process4xi'
    
    message2print = "{started" + "; get-close-process4xi-started: " + str(get_close_process4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
      
    CLOSE_PROCESS4XI = 1    
    
    
    message2print = "{returning" + "; close-process4xi-returning-by-get-close-process4xi: " + str(CLOSE_PROCESS4XI) + "; time: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)   
   
    
    return CLOSE_PROCESS4XI            
#</function4xi> 

 

#3#
# -------------------------------------------------------------------------------------------------
#<function4xi function = "init-terminate-process4xi" usage = "
# initializes TERMINATE_PROCESS4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def init_terminate_process4xi(init_terminate_process4xi_param=2):          
    '''
    init_terminate_process4xi initializes TERMINATE_PROCESS4XI
    '''
    global TERMINATE_PROCESS4XI


    class2print = 'init_terminate_process4xi'
    method2print = 'init_terminate_process4xi'
    
    message2print = "{started" + "; init-terminate-process4xi-started: " + str(init_terminate_process4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)      
      
  
    message2print = "{passed" + "; init-terminate-process4xi-param-passed-to-init-terminate-process4xi: " + str(init_terminate_process4xi_param) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
   

    TERMINATE_PROCESS4XI = init_terminate_process4xi_param
    
    message2print = "{initialized" + "; terminate_process4xi-initialized-by-init-terminate-process4xi to: " + str(TERMINATE_PROCESS4XI)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)         
          
    message2print = "{returning" + "; init-terminate-process4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
   

#</function4xi> 

 
             
# -------------------------------------------------------------------------------------------------
#<function4xi function = "set-terminate-process4xi" usage = "
# sets TERMINATE_PROCESS4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def set_terminate_process4xi(set_terminate_process4xi_param=2):          
    '''
    set_terminate_process4xi sets TERMINATE_PROCESS4XI
    '''
    global TERMINATE_PROCESS4XI


    class2print = 'set_terminate_process4xi'
    method2print = 'set_terminate_process4xi'
    
    message2print = "{started" + "; set-terminate-process4xi-started: " + str(set_terminate_process4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
      
  
    message2print = "{passed" + "; set-terminate-process4xi-param-passed-to-set-terminate-process4xi: " + str(set_terminate_process4xi_param) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
   
 
    TERMINATE_PROCESS4XI = set_terminate_process4xi_param
 
    message2print = "{set" + "; terminate_process4xi-set-by-set-terminate-process4xi to: " + str(TERMINATE_PROCESS4XI)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)          
           
    message2print = "{returning" + "; set-terminate-process4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
       

#</function4xi> 

         
   
# -------------------------------------------------------------------------------------------------
#<function4xi function = "get-terminate-process4xi" usage = "
# gets TERMINATE_PROCESS4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def get_terminate_process4xi():          
    '''
    get_terminate_process4xi gets TERMINATE_PROCESS4XI
    '''
    global TERMINATE_PROCESS4XI


    class2print = 'get_terminate_process4xi'
    method2print = 'get_terminate_process4xi'
    
    message2print = "{started" + "; get-terminate-process4xi-started: " + str(get_terminate_process4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
      
    TERMINATE_PROCESS4XI =2   
    
    
    message2print = "{returning" + "; terminate-process4xi-returning-by-get-terminate-process4xi: " + str(TERMINATE_PROCESS4XI) + "; time: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)   
       
        
    return TERMINATE_PROCESS4XI            
#</function4xi> 

 
#4#
# -------------------------------------------------------------------------------------------------
#<function4xi function = "init-started-process4xi" usage = "
# initializes STARTED_PROCESS4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def init_started_process4xi(init_started_process4xi_param='started'):          
    '''
    init_started_process4xi initializes STARTED_PROCESS4XI
    '''
    global STARTED_PROCESS4XI


    class2print = 'init_started_process4xi'
    method2print = 'init_started_process4xi'
    
    message2print = "{started" + "; init-started-process4xi-started: " + str(init_started_process4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     

  
    message2print = "{passed" + "; init-started-process4xi-param-passed-to-init-started-process4xi: " + str(init_started_process4xi_param) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
   

    STARTED_PROCESS4XI = init_started_process4xi_param
    
    message2print = "{initialized" + "; started-process4xi-initialized-by-init-started-process4xi to: " + str(STARTED_PROCESS4XI)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)         
      
        
    message2print = "{returning" + "; init-started-process4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
   
#</function4xi> 

    
# -------------------------------------------------------------------------------------------------
#<function4xi function = "set-started-process4xi" usage = "
# sets STARTED_PROCESS4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def set_started_process4xi(set_started_process4xi_param='started'):          
    '''
    set_started_process4xi sets STARTED_PROCESS4XI
    '''
    global STARTED_PROCESS4XI


    class2print = 'set_started_process4xi'
    method2print = 'set_started_process4xi'
    
    message2print = "{started" + "; set-started-process4xi-started: " + str(set_started_process4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
      
  
    message2print = "{passed" + "; set-started-process4xi-param-passed-to-set-started-process4xi: " + str(set_started_process4xi_param) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
     
 
    STARTED_PROCESS4XI = set_started_process4xi_param
 
    message2print = "{set" + "; started-process4xi-set-by-set-started-process4xi to: " + str(STARTED_PROCESS4XI)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)          
       
        
    message2print = "{returning" + "; set-started-process4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
   
#</function4xi> 

        
# -------------------------------------------------------------------------------------------------
#<function4xi function = "get-started-process4xi" usage = "
# gets STARTED_PROCESS4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def get_started_process4xi():          
    '''
    get_started_process4xi gets STARTED_PROCESS4XI
    '''
    global STARTED_PROCESS4XI


    class2print = 'get_started_process4xi'
    method2print = 'get_started_process4xi'
    
    message2print = "{started" + "; get-started-process4xi-started: " + str(get_started_process4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)       

    STARTED_PROCESS4XI ='started'          
    
    
    message2print = "{returning" + "; started-process4xi-returning-by-get-started-process4xi: " + str(STARTED_PROCESS4XI) + "; time: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)   
   
    return STARTED_PROCESS4XI           
#</function4xi> 

     
#5#
# -------------------------------------------------------------------------------------------------
#<function4xi function = "init-unknown-process4xi" usage = "
# initializes UNKNOWN_PROCESS4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def init_unknown_process4xi(init_unknown_process4xi_param='unknown'):          
    '''
    init_unknown_process4xi initializes UNKNOWN_PROCESS4XI
    '''
    global UNKNOWN_PROCESS4XI


    class2print = 'init_unknown_process4xi'
    method2print = 'init_unknown_process4xi'
    
    message2print = "{started" + "; init-unknown-process4xi-started: " + str(init_unknown_process4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)      
      
  
    message2print = "{passed" + "; init-unknown-process4xi-param-passed-to-init-unknown-process4xi: " + str(init_unknown_process4xi_param) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
     

    UNKNOWN_PROCESS4XI = init_unknown_process4xi_param
    
    message2print = "{initialized" + "; unknown-process4xi-initialized-by-init-unknown-process4xi to: " + str(UNKNOWN_PROCESS4XI)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)         
      
        
    message2print = "{returning" + "; init-unknown-process4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
   
#</function4xi> 

    

# -------------------------------------------------------------------------------------------------
#<function4xi function = "set-unknown-process4xi" usage = "
# sets UNKNOWN_PROCESS4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def set_unknown_process4xi(set_unknown_process4xi_param='unknown'):          
    '''
    set_unknown_process4xi sets UNKNOWN_PROCESS4XI
    '''
    global UNKNOWN_PROCESS4XI


    class2print = 'set_unknown_process4xi'
    method2print = 'set_unknown_process4xi'
    
    message2print = "{started" + "; set-unknown-process4xi-started: " + str(set_unknown_process4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
      
  
    message2print = "{passed" + "; set-unknown-process4xi-param-passed-to-set-unknown-process4xi: " + str(set_unknown_process4xi_param) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
     
 
    UNKNOWN_PROCESS4XI = set_unknown_process4xi_param
 
    message2print = "{set" + "; unknown-process4xi-set-by-set-unknown-process4xi to: " + str(UNKNOWN_PROCESS4XI)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)          
       
        
    message2print = "{returning" + "; set-unknown-process4x-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
   
#</function4xi> 

        
# -------------------------------------------------------------------------------------------------
#<function4xi function = "get-unknown-process4xi" usage = "
# gets UNKNOWN_PROCESS4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def get_unknown_process4xi():          
    '''
    get_unknown_process4xi gets UNKNOWN_PROCESS4XI
    '''
    global UNKNOWN_PROCESS4XI


    class2print = 'get_unknown_process4xi'
    method2print = 'get_unknown_process4xi'
    
    message2print = "{started" + "; get-unknown-process4xi-started: " + str(get_unknown_process4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)      
      
    UNKNOWN_PROCESS4XI = 'unknown'
 
    
    message2print = "{returning" + "; unknown-process4xi-returning-by-get-unknown-process4xi: " + str(UNKNOWN_PROCESS4XI) + "; time: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)   
   
    return UNKNOWN_PROCESS4XI         
#</function4xi> 

     
#6#
# -------------------------------------------------------------------------------------------------
#<function4xi function = "init-initial-process4xi" usage = "
# initializes INITIAL_PROCESS4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def init_initial_process4xi(init_initial_process4xi_param='initial'):          
    '''
    init_initial_process4xi initializes INITIAL_PROCESS4XI
    '''
    global INITIAL_PROCESS4XI

    class2print = 'init_initial_process4xi'
    method2print = 'init_initial_process4xi'
    
    message2print = "{started" + "; init-initial-process4xi-started: " + str(init_initial_process4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)      
      
    message2print = "{passed" + "; init-initial-process4xi-param-passed-to-init-initial-process4xi: " + str(init_initial_process4xi_param) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     

    INITIAL_PROCESS4XI = init_initial_process4xi_param

    
    message2print = "{initialized" + "; initial-process4xi-initialized-by-init-initial-process4xi to: " + str(INITIAL_PROCESS4XI)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)         
          
    message2print = "{returning" + "; init-initial-process4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
             

#</function4xi> 

    
# -------------------------------------------------------------------------------------------------
#<function4xi function = "set-initial-process4xi" usage = "
# sets INITIAL_PROCESS4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def set_initial_process4xi(set_initial_process4xi_param='initial'):          
    '''
    set_initial_process4xi sets INITIAL_PROCESS4XI
    '''
    global INITIAL_PROCESS4XI


    class2print = 'set_initial_process4xi'
    method2print = 'set_initial_process4xi'
    
    
    message2print = "{started" + "; set-initial-process4xi-started: " + str(set_initial_process4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)        
  
  
    message2print = "{passed" + "; set-initial-process4xi-param-passed-to-set-initial-process4xi: " + str(set_initial_process4xi_param) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
       
 
    INITIAL_PROCESS4XI = set_initial_process4xi_param
 
    message2print = "{set" + "; initial-process4xi-set-by-set-initial-process4xi to: " + str(INITIAL_PROCESS4XI)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)          
           
    message2print = "{returning" + "; set-initial-process4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
       

#</function4xi> 

        
    
# -------------------------------------------------------------------------------------------------
#<function4xi function = "get-initial-process4xi" usage = "
# gets INITIAL_PROCESS4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def get_initial_process4xi():          
    '''
    get_initial_process4xi gets INITIAL_PROCESS4XI
    '''
    global INITIAL_PROCESS4XI


    class2print = 'get_initial_process4xi'
    method2print = 'get_initial_process4xi'

    message2print = "{started" + "; get-initial-process4xi-started: " + str(get_initial_process4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
        
          
        
    INITIAL_PROCESS4XI = 'initial'
    
    
    message2print = "{returning" + "; initial-process4xi-returning-by-get-initial-process4xi: " + str(INITIAL_PROCESS4XI) + "; time: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)   
   
    return INITIAL_PROCESS4XI             
#</function4xi> 

 
#7#
# -------------------------------------------------------------------------------------------------
#<function4xi function = "init-stopped-process4xi" usage = "
# initializes STOPPED_PROCESS4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def init_stopped_process4xi(init_stopped_process4xi_param='stopped'):          
    '''
    init_stopped_process4xi initializes STOPPED_PROCESS4XI
    '''
    global STOPPED_PROCESS4XI


    class2print = 'init_stopped_process4xi'
    method2print = 'init_stopped_process4xi'

    
    message2print = "{started" + "; init-stopped-process4xi-started: " + str(init_stopped_process4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)      
      
  
    message2print = "{passed" + "; init-stopped-process4xi-param-passed-to-init-stopped-process4xi: " + str(init_stopped_process4xi_param) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
   

    STOPPED_PROCESS4XI = init_stopped_process4xi_param
    
    message2print = "{initialized" + "; stopped-process4xi-initialized-by-init-stopped-process4xi to: " + str(STOPPED_PROCESS4XI)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)         
          
    message2print = "{returning" + "; init-stopped-process4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
       

#</function4xi> 

    
# -------------------------------------------------------------------------------------------------
#<function4xi function = "set-stopped-process4xi" usage = "
# sets STOPPED_PROCESS4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def set_stopped_process4xi(set_stopped_process4xi_param='stopped'):          
    '''
    set_stopped_process4xi sets STOPPED_PROCESS4XI
    '''
    global STOPPED_PROCESS4XI

    class2print = 'set_stopped_process4xi'
    method2print = 'set_stopped_process4xi'

    
    message2print = "{started" + "; set-stopped-process4xi-started: " + str(set_stopped_process4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)       
    
  
    message2print = "{passed" + "; set-stopped-process4xi-param-passed-to-set-stopped-process4xi: " + str(set_stopped_process4xi_param) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
   
    STOPPED_PROCESS4XI = set_stopped_process4xi_param
 
    message2print = "{set" + ";  stopped-process4xi-set-by-set-stopped-process4xi to: " + str( STOPPED_PROCESS4XI)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)          
           
    message2print = "{returning" + "; set-stopped-process4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
   

#</function4xi> 

       
    
# -------------------------------------------------------------------------------------------------
#<function4xi function = "get-stopped-process4xi" usage = "
# gets STOPPED_PROCESS4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def get_stopped_process4xi():          
    '''
    get_stopped_process4xi gets STOPPED_PROCESS4XI
    '''
    global STOPPED_PROCESS4XI


    class2print = 'get_stopped_process4xi'
    method2print = 'get_stopped_process4xi'

    
    message2print = "{started" + "; get-stopped-process4xi-started: " + str(get_stopped_process4xi) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)       

    STOPPED_PROCESS4XI = 'stopped'    
    
    
    message2print = "{returning" + "; stopped-process4xi-returning-by-get-stopped-process4xi: " + str(STOPPED_PROCESS4XI) + "; time: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)   
   
    return STOPPED_PROCESS4XI   
#</function4xi> 

     
#8#
# -------------------------------------------------------------------------------------------------
#<function4xi function = "init-exitcode-to-name4xi" usage = "
# initializes _exitcode_to_name
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def init_exitcode_to_name4xi(init_exitcode_to_name4xi_param=None):          
    '''
    init_exitcode_to_name4xi initializes _exitcode_to_name
    '''
    global _exitcode_to_name

    class2print = 'init_exitcode_to_name4xi'
    method2print = 'init_exitcode_to_name4xi'

    
    message2print = "{started" + "; init-exitcode-to-name4xi-started: " + str(init_exitcode_to_name4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     

  
    message2print = "{passed" + "; init-exitcode-to-name4xi-param-passed-to-init-exitcode-to-name4xi: " + str(init_exitcode_to_name4xi_param) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
       

    _exitcode_to_name = {}
    
    for name, signum in list(signal.__dict__.items()):
        if name[:3]=='SIG' and '_' not in name:
            _exitcode_to_name[-signum] = name
    
    message2print = "{initialized" + "; exitcode-to-name-initialized-by-init-exitcode-to-name4xi to: " + str(_exitcode_to_name)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)         
  
        
    message2print = "{returning" + "; init-exitcode-to-name4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
   
#</function4xi> 

    
#8#
# -------------------------------------------------------------------------------------------------
#<function4xi function = "set-exitcode-to-name4xi" usage = "
# initializes _exitcode_to_name
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def set_exitcode_to_name4xi(set_exitcode_to_name4xi_param=None):          
    '''
    set_exitcode_to_name4xi initializes _exitcode_to_name
    '''
    global _exitcode_to_name


    class2print = 'set_exitcode_to_name4xi'
    method2print = 'set_exitcode_to_name4xi'
    
    message2print = "{started" + "; set-exitcode-to-name4xi-started: " + str(set_exitcode_to_name4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)       
   
  
    message2print = "{passed" + "; set-exitcode-to-name4xi-param-passed-to-set-exitcode-to-name4xi: " + str(set_exitcode_to_name4xi_param) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
   
    _exitcode_to_name = {}
    
    for name, signum in list(signal.__dict__.items()):
        if name[:3]=='SIG' and '_' not in name:
            _exitcode_to_name[-signum] = name
 
    message2print = "{set" + "; exitcode-to-name-set-by-set-exitcode-to-name4xi to: " + str(_exitcode_to_name)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)          
                
    message2print = "{returning" + "; set-exitcode-to-name4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
   

#</function4xi> 

    
#8#
# -------------------------------------------------------------------------------------------------
#<function4xi function = "get-exitcode-to-name4xi" usage = "
# returns _exitcode_to_name
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def get_exitcode_to_name4xi(get_exitcode_to_name4xi_param1, get_exitcode_to_name4xi_param2):          
    '''
    get_exitcode_to_name4xi returns _exitcode_to_name
    '''
    global _exitcode_to_name



    class2print = 'get_exitcode_to_name4xi'
    method2print = 'get_exitcode_to_name4xi'

    
    message2print = "{started" + "; get-exitcode-to-name4xi-started: " + str(get_exitcode_to_name4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)      
    
    message2print = "{passed" + "; get-exitcode-to-name4xi-param1-passed-to-get-exitcode-to-name4xi: " + str(get_exitcode_to_name4xi_param1) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
    
    message2print = "{passed" + "; get-exitcode-to-name4xi-param2-passed-to-get-exitcode-to-name4xi: " + str(get_exitcode_to_name4xi_param2) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
                 
    message2print = "{returning" + "; exitcode-to-name-get-function-returning-by-get-exitcode: " + str(_exitcode_to_name.get) + "; time: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print) 
        
  
    return _exitcode_to_name.get(get_exitcode_to_name4xi_param1, get_exitcode_to_name4xi_param2)
#</function4xi> 

             
#All#
# -------------------------------------------------------------------------------------------------
#<function4xi function = "init-all-process4xi" usage = "
# initializes all process constants
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def init_all_process4xi(init_all_process4x_param=1):          
    '''
    init_all_process4xi initializes all process constants
    '''


    class2print = 'init_all_process4xi'
    method2print = 'init_all_process4xi'

    
    message2print = "{started" + "; init-all-process4xi-started: " + str(init_all_process4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)      

  
    message2print = "{passed" + "; init-all-process4x-param-passed-to-init-all-process4xi: " + str(init_all_process4x_param) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
             
 
    init_run_process4xi()
    init_close_process4xi()
    init_terminate_process4xi()
    
    init_started_process4xi()
    init_unknown_process4xi()
    init_initial_process4xi()
    init_stopped_process4xi()
    
    init_exitcode_to_name4xi()    
        
    message2print = "{returning" + "; init-all-process4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
           

#</function4xi> 

    
# -------------------------------------------------------------------------------------------------
#<function4xi function = "set-all-process4xi" usage = "
# sets all process constants
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def set_all_process4xi(set_all_process4xi_param=1):          
    '''
    set_all_process4xi sets all process constants
    '''


    class2print = 'set_all_process4xi'
    method2print = 'set_all_process4xi'

    
    message2print = "{started" + "; set-all-process4xi-started: " + str(set_all_process4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)        
  
    message2print = "{passed" + "; set-all-process4xi-param-passed-to-set-all-process4xi: " + str(set_all_process4xi_param) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
         
 
    set_run_process4xi()
    set_close_process4xi()
    set_terminate_process4xi()
    set_started_process4xi()
    set_unknown_process4xi()
    set_initial_process4xi()
    set_stopped_process4xi()
    
    set_exitcode_to_name4xi()     
        
        
    message2print = "{returning" + "; set-all-process4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
   
#</function4xi> 

      
# -------------------------------------------------------------------------------------------------
#<function4xi function = "get-all-process4xi" usage = "
# gets all process constants
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def get_all_process4xi():          
    '''
    get_all_constant_process4xi gets all process constants
    '''
    # ---------------------------------------------------------------------------------------------
    # could return True after loading an OWL/XML file into memory 
    # ---------------------------------------------------------------------------------------------    


    class2print = 'get_all_process4xi'
    method2print = 'get_all_process4xi'

    
    message2print = "{started" + "; get-all-process4xi-started: " + str(get_all_process4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
      

    for i in range(0,8):
        print("constant_process4xi(", i, ") = ", constant_process4xi(i))
    
    message2print = "{returning" + "; true-returning-by-get-all-process4xi: " + str(True) + "; time: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)   
        
          
    return True
#</function4xi> 

        
#ONE#    
# -------------------------------------------------------------------------------------------------
#<function4xi function = "get-one-constant-process4xi" usage = "
# gets one process constant
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def get_one_constant_process4xi(get_one_constant_process4xi_param=3):          
    '''
    get_one_constant_process4xi gets one process constant
    '''
    
    class2print = 'get_one_constant_process4xi'
    method2print = 'get_one_constant_process4xi'

    
    message2print = "{started" + "; get-one-constant-process4xi-started: " + str(get_one_constant_process4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     

    message2print = "{passed" + "; get-one-constant-process4xi-param-passed-to-get-one-constant-process4xi: " + str(get_one_constant_process4xi_param) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
            
    if get_one_constant_process4xi_param <= 0 or get_one_constant_process4xi_param > 7:
        get_one_constant_process4xi_paramparam = 1              
 
    message2print = "{returning" + "; constant_process4xi-function-returning-by-get-one-constant-process4xi: " + str(constant_process4xi) + "; time: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print) 
                
           
    return constant_process4xi(get_one_constant_process4xi_param)        
#</function4xi> 

     
# =================================================================================================
# ConstantProcess4Xi class
#<class4xi class = "ConstantProcess4Xi" base = "object" child = "None" synopsis = "offers services for process constants" usage = "multiprocessing"
#>
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# =================================================================================================
class ConstantProcess4Xi(object): #<-- inherits from object class
    '''
    ConstantProcess4Xi offers services for process constants
    '''            
    # ---------------------------------------------------------------------------------------------
    # Public API of this class
    # ---------------------------------------------------------------------------------------------    
    #<expose4xi expose = "
    _exposed_ = ( 'init_all', 'set_all', 'get_all', 
                  'get_one',
                  'init_run_process', 'set_run_process', 'get_run_process',
                  'init_close_process', 'set_close_process', 'get_close_process',
                  'init_terminate_process', 'set_terminate_process', 'get_terminate_process',
                  'init_started_process', 'set_started_process', 'get_started_process',
                  'init_unknown_process', 'set_unknown_process', 'get_unknown_process',
                  'init_initial_process', 'set_initial_process', 'get_initial_process',                  
                  'init_stopped_process', 'set_stopped_process', 'get_stopped_process',
                  'init_exitcode_to_name', 'set_exitcode_to_name', 'get_exitcode_to_name',                                       
                  'sense', 'reason', 'ace')          
    #"
    #/>
                                     
    
    
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "init-of-ConstantProcess4Xi" usage = "initializes process constants">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------   
    def __init__(self):
        '''
        _init__ method initializes process constants
        '''       

        class2print = 'ConstantProcess4Xi'
        method2print = '__init__'

        
        message2print = "{started" + "; init-of-ConstantProcess4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)             
        
        message2print = "{borning" + "; constantprocess2xi-of-ConstantProcess4Xi-borning: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)   

        message2print = "{inheriting" + "; object-inheriting-by-constantprocess2xi-of-ConstantProcess4Xi: " + str(object)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
        
     
        init_all_process4xi()        
        
        message2print = "{activated" + "; constantprocess2xi-of-ConstantProcess4Xi-activated: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)           

        message2print = "{inherited" + "; object-inherited-by-constantprocess2xi-of-ConstantProcess4Xi: " + str(object)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
            
        message2print = "{returning" + "; init-of-ConstantProcess4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
        

        
    #</methodize4xi>
         
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "init-all-of-ConstantProcess4Xi" usage = "initializes all process constants">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------   
    def init_all(self):
        '''
        init_all method initializes all process constants
        '''       

        class2print = 'ConstantProcess4Xi'
        method2print = 'init_all'
        
        message2print = "{started" + "; init-all-of-ConstantProcess4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
        
        init_all_process4xi()   
            
        message2print = "{returning" + "; init-all-of-ConstantProcess4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
           

    #</methodize4xi>
             
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "set-all-of-ConstantProcess4Xi" usage = "sets all process constants">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------   
    def set_all(self):
        '''
        set_all method sets all process constants
        '''       

        class2print = 'ConstantProcess4Xi'
        method2print = 'set_all'
        
        message2print = "{started" + "; set-all-of-ConstantProcess4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
        
        set_all_process4xi()             
            
        message2print = "{returning" + "; set-all-of-ConstantProcess4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
           

    #</methodize4xi>
     
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "get-all-of-ConstantProcess4Xi" usage = "gets all process constants">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------   
    def get_all(self):
        '''
        get_all method gets all process constants
        '''       

        class2print = 'ConstantProcess4Xi'
        method2print = 'get_all'
        
        message2print = "{started" + "; get-all-of-ConstantProcess4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
        
        
        message2print = "{returning" + "; get-all-process4xi-function-returning-by-get-all-of-ConstantProcess4Xi: " + str(get_all_process4xi) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)  
       
 
        return get_all_process4xi() #prints and returns True   
    #</methodize4xi>
    
    #One
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "get-one-of-ConstantProcess4Xi" usage = "gets one process constant">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------   
    def get_one(self, get_one_param=4):
        '''
        get_one method gets one process constant
        '''       

        class2print = 'ConstantProcess4Xi'
        method2print = 'get_one'
        
        message2print = "{started" + "; get-one-of-ConstantProcess4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
        
        message2print = "{returning" + "; get-one-process4xi-function-returning-by-get-one-of-ConstantProcess4Xi: " + str(get_one_process4xi) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)  
           

        return get_one_process4xi(get_one_param)      
    #</methodize4xi>
                
    #1#
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "init-run-process-of-ConstantProcess4Xi" usage = "initializes RUN_PROCESS4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def init_run_process(self, init_run_process_param=0):          
        '''
        init_run initializes RUN_PROCESS4XI
        '''

        class2print = 'ConstantProcess4Xi'
        method2print = 'init_run_process'
        
        message2print = "{started" + "; init-run-process-of-ConstantProcess4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
        

        init_run_process4xi(init_run_process_param)
            
        message2print = "{returning" + "; init-run-process-of-ConstantProcess4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
           

    #</methodize4xi>
         
    
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "set-run-process-of-ConstantProcess4Xi" usage = "sets RUN_PROCESS4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def set_run_process(self, set_run_process_param=0):          
        '''
        set_run sets RUN_PROCESS4XI
        '''

        class2print = 'ConstantProcess4Xi'
        method2print = 'set_run_process'
        
        message2print = "{started" + "; set-run-process-of-ConstantProcess4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
        
  
        set_run_process4xi(set_run_process_param)
        
            
        message2print = "{returning" + "; set-run-process-of-ConstantProcess4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
           

    #</methodize4xi>
             
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "get-run-process-of-ConstantProcess4Xi" usage = "gets RUN_PROCESS4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def get_run_process(self):          
        '''
        get_run gets RUN_PROCESS4XI
        '''

        class2print = 'ConstantProcess4Xi'
        method2print = 'get_run_process'
        
        message2print = "{started" + "; get-run-process-of-ConstantProcess4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
        
        
        message2print = "{returning" + "; get-run-process4xi-function-returning-by-get-run-process-of-ConstantProcess4Xi: " + str(get_run_process4xi) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)  
   
        return get_run_process4xi()      
    #</methodize4xi>
        
    #2#
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "init-close-process-of-ConstantProcess4Xi" usage = "initializes CLOSE_PROCESS4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def init_close_process(self, init_close_process_param=1):          
        '''
        init_close_process initializes CLOSE_PROCESS4XI
        '''

        class2print = 'ConstantProcess4Xi'
        method2print = 'init_close_process'
        
        message2print = "{started" + "; init-close-process-of-ConstantProcess4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
        
 

        init_close_process4xi(init_close_process_param)
        
            
        message2print = "{returning" + "; init-close-process-of-ConstantProcess4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
           
    
    #</methodize4xi>
        
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "set-close-process-of-ConstantProcess4Xi" usage = "sets CLOSE_PROCESS4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def set_close_process(self, set_close_process_param=1):          
        '''
        set_close_process sets CLOSE_PROCESS4XI
        '''

        class2print = 'ConstantProcess4Xi'
        method2print = 'set_close_process'
        
        message2print = "{started" + "; set-close-process-of-ConstantProcess4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
        
   

        set_close_process4xi(set_close_process_param)
        
            
        message2print = "{returning" + "; set-close-process-of-ConstantProcess4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
   
    #</methodize4xi>
             
        
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "get-close-process-of-ConstantProcess4Xi" usage = "gets CLOSE_PROCESS4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def get_close_process(self):          
        '''
        get_close_process gets CLOSE_PROCESS4XI
        '''

        class2print = 'ConstantProcess4Xi'
        method2print = 'get_close_process'
        
        message2print = "{started" + "; get-close-process-of-ConstantProcess4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
        
        
        message2print = "{returning" + "; get-close-process4xi-function-returning-by-get-close-process-of-ConstantProcess4Xi: " + str(get_close_process4xi) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)  
       
                 
        return get_close_process4xi()           
    #</methodize4xi>
        
    #3#
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "init-terminate-process-of-ConstantProcess4Xi" usage = "initializes TERMINATE_PROCESS4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def init_terminate_process(self, init_terminate_process_param=2):          
        '''
        init_terminate initializes TERMINATE_PROCESS4XI
        '''

        class2print = 'ConstantProcess4Xi'
        method2print = 'init_terminate_process'
        
        message2print = "{started" + "; init-terminate-process-of-ConstantProcess4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
        

    
        init_terminate_process4xi(init_terminate_process_param)
            
        message2print = "{returning" + "; init-terminate-process-of-ConstantProcess4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
           

    #</methodize4xi>
        
    
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "set-terminate-process-of-ConstantProcess4Xi" usage = "sets TERMINATE_PROCESS4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def set_terminate_process(self, set_terminate_process_param=2):          
        '''
        set_terminate sets TERMINATE_PROCESS4XI
        '''

        class2print = 'ConstantProcess4Xi'
        method2print = 'set_terminate_process'
        
        
        message2print = "{started" + "; set-terminate-process-of-ConstantProcess4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
        
  

        set_terminate_process4xi(set_terminate_process_param)
        
            
        message2print = "{returning" + "; set-terminate-process-of-ConstantProcess4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
           

         
    #</methodize4xi>
            
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "get-terminate-process-of-ConstantProcess4Xi" usage = "gets TERMINATE_PROCESS4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def get_terminate_process(self):          
        '''
        get_terminate gets TERMINATE_PROCESS4XI
        '''
        

        class2print = 'ConstantProcess4Xi'
        method2print = 'get_terminate_process'
        
        message2print = "{started" + "; get-terminate-process-of-ConstantProcess4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
        
        
        message2print = "{returning" + "; get-terminate-process4xi-function-returning-by-get-terminate-process-of-ConstantProcess4Xi: " + str(get_terminate_process4xi) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)  
   
         
        return get_terminate_process4xi()        
    #</methodize4xi>
        
    #4#
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "init-started-process-of-ConstantProcess4Xi" usage = "initializes STARTED_PROCESS4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def init_started_process(self, init_started_process_param='started'):          
        '''
        init_started initializes STARTED_PROCESS4XI
        '''

        class2print = 'ConstantProcess4Xi'
        method2print = 'init_started_process'
        
        
        message2print = "{started" + "; init-started-process-of-ConstantProcess4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
        

    

        init_started_process4xi(init_started_process_param)
        
            
        message2print = "{returning" + "; init-started-process-of-ConstantProcess4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
   
    #</methodize4xi>
         
    
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "set-started-process-of-ConstantProcess4Xi" usage = "sets STARTED_PROCESS4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def set_started_process(self, set_started_process_param='started'):          
        '''
        set_started_process sets STARTED_PROCESS4XI
        '''

        class2print = 'ConstantProcess4Xi'
        method2print = 'set_started_process'
        
        message2print = "{started" + "; set-started-process-of-ConstantProcess4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
        


        set_started_process4xi(set_started_process_param)
        
            
        message2print = "{returning" + "; set-started-process-of-ConstantProcess4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
           

    #</methodize4xi>
             
        
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "get-started-process-of-ConstantProcess4Xi" usage = "gets STARTED_PROCESS4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def get_started_process(self):          
        '''
        get_started_process gets STARTED_PROCESS4XI
        '''
        

        class2print = 'ConstantProcess4Xi'
        method2print = 'get_started_process'

        message2print = "{started" + "; get-started-process-of-ConstantProcess4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
        
        
        message2print = "{returning" + "; get-started-process4xi-function-returning-by-get-started-process-of-ConstantProcess4Xi: " + str(get_started_process4xi) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)  
      
         
        return get_started_process4xi()                
    #</methodize4xi>
    
    #5#
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "init-unknown-process-of-ConstantProcess4Xi" usage = "initializes UNKNOWN_PROCESS4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def init_unknown_process(self, init_unknown_process_param='unknown'):          
        '''
        init_unknown_process initializes UNKNOWN_PROCESS4XI
        '''

        class2print = 'ConstantProcess4Xi'
        method2print = 'init_unknown_process'

        
        message2print = "{started" + "; init-unknown-process-of-ConstantProcess4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
        


        init_unknown_process4xi(init_unknown_process_param)
            
        message2print = "{returning" + "; init-unknown-process-of-ConstantProcess4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
           

    #</methodize4xi>
        
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "set-unknown-process-of-ConstantProcess4Xi" usage = "sets UNKNOWN_PROCESS4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def set_unknown_process(self, set_unknown_process_param='unknown'):          
        '''
        set_unknown_process sets UNKNOWN_PROCESS4XI
        '''

        class2print = 'ConstantProcess4Xi'
        method2print = 'set_unknown_process'

        
        message2print = "{started" + "; set-unknown-process-of-ConstantProcess4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
        
 

        set_unknown_process4xi(set_unknown_process_param)
        
            
        message2print = "{returning" + "; set-unknown-process-of-ConstantProcess4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
           

    #</methodize4xi>
             
        
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "get-unknown-process-of-ConstantProcess4Xi" usage = "gets UNKNOWN_PROCESS4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def get_unknown_process(self):          
        '''
        get_unknown gets UNKNOWN_PROCESS4XI
        '''
        

        class2print = 'ConstantProcess4Xi'
        method2print = 'get_unknown_process'
        
        message2print = "{started" + "; get-unknown-process-of-ConstantProcess4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
        
        
        message2print = "{returning" + "; get-unknown-process4xi-function-returning-by-get-unknown-process-of-ConstantProcess4Xi: " + str(get_unknown_process4xi) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)  
        
         
        return get_unknown_process4xi()                     
    #</methodize4xi>
            
    #6#
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "init-initial-process-of-ConstantProcess4Xi" usage = "initializes INITIAL_PROCESS4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def init_initial_process(self, init_initial_process_param='initial'):          
        '''
        init_initial_process initializes INITIAL_PROCESS4XI
        '''

        class2print = 'ConstantProcess4Xi'
        method2print = 'init_initial_process'

        
        message2print = "{started" + "; init-initial-process-of-ConstantProcess4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
        
  

        init_initial_process4xi(init_initial_process_param)
        
            
        message2print = "{returning" + "; init-initial-process-of-ConstantProcess4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
   
    #</methodize4xi>
         
    
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "set-initial-process-of-ConstantProcess4X" usage = "sets INITIAL_PROCESS4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def set_initial_process(self, set_initial_process_param='initial'):          
        '''
        set_initial_process sets INITIAL_PROCESS4XI
        '''

        class2print = 'ConstantProcess4Xi'
        method2print = 'set_initial_process'

        
        message2print = "{started" + "; set-initial-process-of-ConstantProcess4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
               
  

        set_initial_process4xi(set_initial_process_param)
        
        
            
        message2print = "{returning" + "; set-initial-process-of-ConstantProcess4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
   
         
    #</methodize4xi>
            
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "get-initial-process-of-ConstantProcess4Xi" usage = "gets INITIAL_PROCESS4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def get_initial_process(self):          
        '''
        get_initial_process gets INITIAL_PROCESS4XI
        '''
        

        class2print = 'ConstantProcess4Xi'
        method2print = 'get_initial_process'

        message2print = "{started" + "; get-initial-process-of-ConstantProcess4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
        
        
        message2print = "{returning" + "; get-initial-process4xi-function-returning-by-get-initial-process-of-ConstantProcess4Xi: " + str(get_initial_process4xi) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)  
      
         
        return get_initial_process4xi()                
    #</methodize4xi>
            
        
    #7#
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "init-stopped-process-of-ConstantProcess4Xi" usage = "initializes STOPPED_PROCESS4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def init_stopped_process(self, init_stopped_process_param='stopped'):          
        '''
        init_stopped initializes STOPPED_PROCESS4XI
        '''

        class2print = 'ConstantProcess4Xi'
        method2print = 'init_stopped_process'
        
        
        message2print = "{started" + "; init-stopped-process-of-ConstantProcess4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
        
    

        init_stopped_process4xi(init_stopped_process_param)
            
        message2print = "{returning" + "; init-stopped-process-of-ConstantProcess4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
           

    #</methodize4xi>
         
    
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "set-stopped-process-of-ConstantProcess4Xi" usage = "sets STOPPED_PROCESS4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def set_stopped_process(self, set_stopped_process_param='stopped'):          
        '''
        set_stopped_process sets STOPPED_PROCESS4XI
        '''

        class2print = 'ConstantProcess4Xi'
        method2print = 'set_stopped_process'

        
        message2print = "{started" + "; set-stopped-process-of-ConstantProcess4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
        
  

        set_stopped_process4xi(set_stopped_process_param)
             
        message2print = "{returning" + "; set-stopped-process-of-ConstantProcess4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
          

    #</methodize4xi>
             
        
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "get-stopped-process-of-ConstantProcess4Xi" usage = "gets STOPPED_PROCESS4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def get_stopped_process(self):          
        '''
        get_stopped_process gets STOPPED_PROCESS4XI
        '''
        

        class2print = 'ConstantProcess4Xi'
        method2print = 'get_stopped_process'
        
        message2print = "{started" + "; get-stopped-process-of-ConstantProcess4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
        
        
        message2print = "{returning" + "; get-stopped-process4xi-function-returning-by-get-stopped-process-of-ConstantProcess4Xi: " + str(get_stopped_process4xi) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)  
          
         
        return get_stopped_process4xi()                
    #</methodize4xi>
    
        
    #8#
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "init-exitcode-to-name-of-ConstantProcess4Xi" usage = "initializes _exitcode_to_name">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def init_exitcode_to_name(self, init_exitcode_to_name_param=None):          
        '''
        init_exitcode_to_name initializes _exitcode_to_name
        '''

        class2print = 'ConstantProcess4Xi'
        method2print = 'init_exitcode_to_name'

        
        message2print = "{started" + "; init-exitcode-to-name-of-ConstantProcess4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
        

        init_exitcode_to_name4xi(init_exitcode_to_name_param)  
        
            
        message2print = "{returning" + "; init-exitcode-to-name-of-ConstantProcess4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
   
    #</methodize4xi>
             
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "set-exitcode-to-name-of-ConstantProcess4Xi" usage = "sets _exitcode_to_name">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def set_exitcode_to_name(self, set_exitcode_to_name_param=None):          
        '''
        set_exitcode_to_name sets _exitcode_to_name
        '''

        class2print = 'ConstantProcess4Xi'
        method2print = 'set_exitcode_to_name'

        
        message2print = "{started" + "; set-exitcode-to-name-of-ConstantProcess4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
        

        set_exitcode_to_name4xi(set_exitcode_to_name_param)            
            
        message2print = "{returning" + "; set-exitcode-to-name-of-ConstantProcess4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
           

    #</methodize4xi>
                 
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "get-exitcode-to-name-of-ConstantProcess4Xi" usage = "returns _exitcode_to_name">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def get_exitcode_to_name(self, get_exitcode_to_name_param1, get_exitcode_to_name_param2):          
        '''
        get_exitcode_to_name returns _exitcode_to_name
        '''

        class2print = 'ConstantProcess4Xi'
        method2print = 'get_exitcode_to_name'

        
        message2print = "{started" + "; get-exitcode-to-name-of-ConstantProcess4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
        
        message2print = "{returning" + "; get-exitcode-to-name4xi-function-returning-by-get-exitcode-to-name-of-ConstantProcess4Xi: " + str(get_exitcode_to_name4xi) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)  
                      
        
        return get_exitcode_to_name4xi(get_exitcode_to_name_param1, get_exitcode_to_name_param2)                     
    #</methodize4xi>
                                           
    # ---------------------------------------------------------------------------------------------
    #<methodize4xi method = "sense-of-ConstantProcess4Xi" usage = "senses class objects">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # ---------------------------------------------------------------------------------------------
    def sense(self):
        '''
        senses ConstantProcess4Xi class objects
        '''
          
        
        class2print = 'ConstantProcess4Xi'
        method2print = 'sense'
        
        message2print = "{started" + "; sense-of-ConstantProcess4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)          
        
        # -----------------------------------------------------------------------------------------
        #
        # -----------------------------------------------------------------------------------------  
        message2print = "{sensing" + "; constantprocess4xi-sensing-by-sense-of-ConstantProcess4Xi: " + str(ConstantProcess4Xi)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
                
        
        # -----------------------------------------------------------------------------------------
        # get sensed knowledge for this object
        # -----------------------------------------------------------------------------------------        
        kb2xi = sense_object4xi(self)
        
        message2print = "{got" + "; kb2xi-got-by-sense-of-ConstantProcess4Xi to: " + str(kb2xi)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)    


        
        # -----------------------------------------------------------------------------------------
        # add knowledge specific to this object
        # -----------------------------------------------------------------------------------------         
        try:
            kb2xi['inheritance-of-constantprocess2xi'] = object
        except:
            message2print = "{yielded" + "; kb2xi-yielded-by-sense-of-ConstantProcess4Xi: " + str(kb2xi)  + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print) 
           
        
        message2print = "{sensed" + "; constantprocess4xi-sensed-by-sense-of-ConstantProcess4Xi: " + str(ConstantProcess4Xi)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)              

        
        # -----------------------------------------------------------------------------------------
        # 
        # -----------------------------------------------------------------------------------------         
        
        message2print = "{returning" + "; kb2xi-returning-by-sense-of-ConstantProcess4Xi: " + str(kb2xi) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)    
   
        return kb2xi
                            
        # -----------------------------------------------------------------------------------------
        #
        # -----------------------------------------------------------------------------------------        
    #</methodize4xi>
    
        
    # ---------------------------------------------------------------------------------------------
    #<methodize4xi method = "reason-of-ConstantProcess4Xi" usage = "reasons class objects">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # ---------------------------------------------------------------------------------------------
    def reason(self):
        '''
        reasons ConstantProcess4Xi class objects
        '''
                 
        
        class2print = 'ConstantProcess4Xi'
        method2print = 'reason'

        message2print = "{started" + "; reason-of-ConstantProcess4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                  
        
        # -----------------------------------------------------------------------------------------
        #
        # -----------------------------------------------------------------------------------------
        message2print = "{reasoning" + "; constantprocess4xi-reasoning-by-reason-of-ConstantProcess4Xi: " + str(ConstantProcess4Xi) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
                
        
        # -----------------------------------------------------------------------------------------
        # get reasoned knowledge for this object
        # -----------------------------------------------------------------------------------------         
        kb4xi = reason_object4xi(self)
        
        message2print = "{got" + "; kb4xi-got-by-reason-of-ConstantProcess4Xi: " + str(kb4xi)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)
                        

        # -----------------------------------------------------------------------------------------
        # add knowledge specific to this object
        # format example: kb4xi['time2xi'] = time4xi() #adding time 
        # -----------------------------------------------------------------------------------------          
        
        message2print = "{reasoned" + "; constantprocess4xi-reasoned-by-reason-of-ConstantProcess4Xi: " + str(ConstantProcess4Xi) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
      
        
        # -----------------------------------------------------------------------------------------
        #
        # -----------------------------------------------------------------------------------------        
        
        message2print = "{returning" + "; kb4xi-returning-by-reason-of-ConstantProcess4Xi: " + str(kb4xi) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)    
          
          
        return kb4xi
        
       
        # -----------------------------------------------------------------------------------------
        #
        # -----------------------------------------------------------------------------------------            
    #</methodize4xi>
    
    
    # ---------------------------------------------------------------------------------------------
    #<methodize4xi method = "ace-of-ConstantProcess4X" usage = "aces class objects">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # ---------------------------------------------------------------------------------------------
    def ace(self):
        '''
        aces ConstantProcess4Xi class objects 
        '''
               
        
        
        class2print = 'ConstantProcess4Xi'
        method2print = 'ace'
        
        message2print = "{started" + "; ace-of-ConstantProcess4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                       
        
        # -----------------------------------------------------------------------------------------
        #
        # -----------------------------------------------------------------------------------------
        message2print = "{acing" + "; constantprocess4xi-acing-by-ace-of-ConstantProcess4Xi: " + str(ConstantProcess4Xi) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
        
        # -----------------------------------------------------------------------------------------
        # get aced knowledge for this object
        # -----------------------------------------------------------------------------------------        
        kb8xi = ace_object4xi(self)  
        
        message2print = "{got" + "; kb8xi-got-by-ace-of-ConstantProcess4Xi: " + str(kb8xi)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)
                   
                


        # -----------------------------------------------------------------------------------------
        # add knowledge specific to this object
        # format example: kb8xi['time2xi'] = time4xi() #adding time 
        # -----------------------------------------------------------------------------------------              
        
          
        message2print = "{aced" + "; constantprocess4xi-aced-by-ace-of-ConstantProcess4Xi: " + str(ConstantProcess4Xi) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)     
        
        # -----------------------------------------------------------------------------------------
        #
        # -----------------------------------------------------------------------------------------        
        
        message2print = "{returning" + "; kb8xi-returning-by-ace-of-ConstantProcess4Xi: " + str(kb8xi) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)    
          
        
        return kb8xi
        
        # -----------------------------------------------------------------------------------------
        #
        # -----------------------------------------------------------------------------------------
    #</methodize4xi>
#</class4xi>
#</program4xi>
 

# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   test_constant_process4xi.txt
#   sense-test-constant-process4xi.xml
#   reason-test-constant-process4xi.xml
#   ace-test-constant-process4xi.xml
#"
#>


# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>

    
    


#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of constant_process4xi.py                             
# ------------------------------------------------------------------------------------------------- 
#"
#/>

